MODUNLOAD(8)

NAME
modunload - unload a kernel module

SYNOPSIS
modunload [-i id] [-n name] [-p postunload]

DESCRIPTION
The modunload utility unloads a loadable kernel module from a running system. The id or name is the ID or name of the module as shown by modstat(8).

One of the following options must be specified:

-i id
    Unload the module with the ID id.

-n name
    Unload the module with the name name.

-p postunload
    Specify the name of a shell script or program that will be executed if the module is successfully unloaded. This program is passed no arguments.

EXIT STATUS
The modunload utility exits 0 on success or with a non-zero status if an error occurred.

SEE ALSO
lkm(4), securelevel(7), modload(8), modstat(8)

HISTORY
The modunload command was designed to be similar in functionality to the corresponding command in SunOS 4.1.3.

AUTHORS
Terrence R. Lambert terry@cs.weber.edu